/*****

      $Source: d:\gunther\source\grc/RCS/rcompile.h,v $
      $Author: gunther $
      $Date: 1995/12/29 23:49:21 $
      $Revision: 1.4 $

	Changed by: Fred Kiefer (kiefer@isys.de) 1996/6/2

 *****/

#ifndef _RCOMPILE_H
#define _RCOMPILE_H

#include "yystype.h"

#ifdef __cplusplus
extern "C" {
#endif

int getBitmap(wchar_t *name, int memflags, ResourceTail *tail, char *filename);
int getIcon(wchar_t *name, int memflags, ResourceTail *tail, char *filename);
int getCursor(wchar_t *name, int memflags, ResourceTail *tail, char *filename);
int getFont(wchar_t *name, int memflags, ResourceTail *tail, char *filename);

int getDialog(wchar_t *name, int memflags, int x, int y, int cx, int cy, struct_dialog *options, node *controls);
int getMenu(wchar_t *name, int memflags, ResourceTail *tail, node *menu);
int getAccelerators(wchar_t *name, int memflags, ResourceTail *tail, node *table);
int getRcdata(wchar_t *type, wchar_t *name, int memflags, ResourceTail *tail, node *entries);
int getToolbar(wchar_t *resourceType, wchar_t *name, int memflags, ResourceTail *tail, int width, int height, node *entries);
int getUserRC(wchar_t *resourceType, wchar_t *name, int memflags, ResourceTail *tail, char *filename);
int getVersioninfo(wchar_t *name, int memflags, ResourceTail *tail, version_entry *vs);

int addTable(int memflags, ResourceTail *tail, node *table);

int StartRes(const char *resfile);
int FinishRes(int ok);

#ifdef __cplusplus
}
#endif

#endif

